ERROR 0*800f0988 update integration invalid delta combination KB5000802

SM03

Active Member
Hello,

While adding the latest LCU KB5000802 (19041.867) on a live Win10 19043.844 x64 image via the latest NTL 2.1.0.7820, I got this error
1.png

& the process aborted

2.png

So am reporting this here to nuhi & to share and check with other user & their experience on this.
 

francis11

Active Member
Maybe a contribution, as i understand you can't skip versions, which may be why the delta error message appears. What if you instead use KB5000802 for 20H2 and not 20H1 for updating? Another thing is what is the reason for updating with EP 21H1 when already using live installation 19043.844? EP 21H1 is a pending installation, so a restart is required on a live installation.
 

SM03

Active Member
Maybe a contribution, as i understand you can't skip versions, which may be why the delta error message appears.
version means? What version you are referring to here precisely?
What if you instead use KB5000802 for 20H2 and not 20H1 for updating?
I don't have any system running on 20H1/H2 ATM, all upgraded to 21H1. so can't try.

Another thing is what is the reason for updating with EP 21H1 when already using live installation 19043.844?
Because MSFT released a newer version of 21H1 EP in the last PT, so I added that too here.
EP 21H1 is a pending installation, so a restart is required on a live installation.
If you look closely at the bottom of the SS, in the NTL status bar, it's already written process aborted. so I don't think it's about any pending restart, & furthermore, IDK whether this kind of feature is there & possible in NTL live OS modification i.e. to resume the process from there where it left followed by a reboot
 

francis11

Active Member
version means? What version you are referring to here precisely?
afaik 21H1 is build on 20H2 witch is build on 20H1 and you're getting the error from trying to integrate the LCU KB5000802 for 20H1 on 21H1 instead of the LCU KB5000802 for 20H2 to 21H1. Even they have same size MS separate the LCU's on Update-Catalog.
If you look closely at the bottom of the SS, in the NTL status bar, it's already written process aborted. so I don't think it's about any pending restart, & furthermore, IDK whether this kind of feature is there & possible in NTL live OS modification i.e. to resume the process from there where it left followed by a reboot
Only thing i experienced is that when try to run my preset over the monthly updated image after restart, then suddenly when NTL is processing removals the Windows disc cleannup tool starts and after running/ closing it NTL suddenly asks for a restart and hereafter i can start the process again without errors and fullfill the intended mofications as it does not appear that NTL has saved the modifications that had been made until now, when it interrupted with restart in the middle of the process before the point where All changes are directly saved.
 

nuhi

NTLite developer
Staff member
This also depends on what was removed in an earlier session, on that host's installation image or live, and most importantly was Servicing Stack compatibility always on.
If you can dig up the preset(s) which made that Host, it would be helpful in finding the cause.
But if you deleted something manually, or touched WinSxS folder, then anything is possible.

Thanks.
 

SM03

Active Member
This also depends on what was removed in an earlier session, on that host's installation image or live, and most importantly was Servicing Stack compatibility always on.
If you can dig up the preset(s) which made that Host, it would be helpful in finding the cause.
But if you deleted something manually, or touched WinSxS folder, then anything is possible.

Thanks.
Hi nuhi

the latest newly released 2021-03 Cumulative Update Preview for Windows 10 Version 20H2 for x64-based Systems (KB5000842) is also not being added, giving this error just like last time I reported here
3.png

I didn't remove anything manually after installing Win10, I generally removed IE, EDGE, Defender & other some UWP app while I make the ISO via NTL< & install the OS via that custom made ISO, so don't know what's the reason.

Attaching the latest PRESET for this failed operation & my regular PRESET that I use to customise the ISO, so that you can investigate this matter.
 

nuhi

NTLite developer
Staff member
Thanks for the report.
Mine worked fine (my preset + that CU), will test your preset tomorrow with it and let you know if confirmed.
 

SM03

Active Member

Attachments

  • Auto-saved session {085D798E-563A-2CF5-C19D-F55A66084602}.xml
    27.9 KB

SM03

Active Member
Thanks for the report.
Mine worked fine (my preset + that CU), will test your preset tomorrow with it and let you know if confirmed.
Hi nuhi

today as I noticed that you recently released a new NTL version 2.1.0.7840, so I tried to make (again) a new 21H!.906 (19043.906) ISO on the top of stock 20H1.1 (19041.1) Win10 ISO, adding the latest 2021-03 Cumulative Update Preview for Windows 10 Version 20H2 for x64-based Systems (KB5000842) & again, NTL showed the same error in this newest version as well

Screenshot
1.png

So reporting here to you once again, & attaching my usual PRESET that I commonly use in this process to make ISO. Don't know what's happening exactly as I never faced such issue in NTL in my experience to add any update packages (MSU or CAB)
 

Attachments

  • Preset 21H1.906 (March-21).xml
    27.9 KB

nuhi

NTLite developer
Staff member
Unfortunately I cannot replicate the issue.
First problem was that your (original) preset already has KB5000842, so naturally when I tried to add it later it was denied as existing.
Windows didn't complain installing it.

Then I redid it all with the previous one, KB5001649, and tried to install KB5000842 after installation.
Again no error.

Am I missing something?

Integrating to a lite image is not supported nor recommended.
 

SM03

Active Member
Unfortunately I cannot replicate the issue.
First problem was that your (original) preset already has KB5000842, so naturally when I tried to add it later it was denied as existing.
Windows didn't complain installing it.

Then I redid it all with the previous one, KB5001649, and tried to install KB5000842 after installation.
Again no error.

Am I missing something?

Integrating to a lite image is not supported nor recommended.
what do you mean by lite image? I only use unmodified vanilla/stock Win 19041.1. ISO image for all of my recent 20xx ISO branch modification as always since December 2019 till now as that's the base ISO for all 20h1.20h2 & 21h1 branch

I can understand the first one somehow but did you check my last update here that I posted today?

Just Use that stock 19041.1 & add the preset that I posted in my last /earlier post here with all the updates that I added over there listed in preset & other settings applied, hopefully, you'll get that error too.
 

nuhi

NTLite developer
Staff member
what do you mean by lite image? I only use unmodified vanilla/stock Win 19041.1. ISO image for all of my recent 20xx ISO branch modification as always since December 2019 till now as that's the base ISO for all 20h1.20h2 & 21h1 branch

I can understand the first one somehow but did you check my last update here that I posted today?

Just Use that stock 19041.1 & add the preset that I posted in my last /earlier post here with all the updates that I added over there listed in preset & other settings applied, hopefully, you'll get that error too.
There are two points here, first yes I tested what you reported here on 19041.1, even got the FODs and all, I'm not dismissive as I have nothing to lose by finding a bug. But cannot replicate.

Second point, you said:
"so I tried to make (again) a new 21H!.906 (19043.906) ISO on the top of stock 20H1.1 (19041.1) Win10 ISO, adding the latest 2021-03 Cumulative Update Preview for Windows 10 Version 20H2 for x64-based Systems (KB5000842) & again, NTL showed the same error in this newest version as well"
And in the screenshot it states "Integrating", so how can I misunderstand that you're integrating to a lite image? Remember, this is a separate point, just saying that is not supported and is expected to break.
When making images, be it updating, always start fresh + preset and replaced update, cleaner and works.
 

SM03

Active Member
There are two points here, first yes I tested what you reported here on 19041.1, even got the FODs and all, I'm not dismissive as I have nothing to lose by finding a bug. But cannot replicate.

Second point, you said:
"so I tried to make (again) a new 21H!.906 (19043.906) ISO on the top of stock 20H1.1 (19041.1) Win10 ISO, adding the latest 2021-03 Cumulative Update Preview for Windows 10 Version 20H2 for x64-based Systems (KB5000842) & again, NTL showed the same error in this newest version as well"
And in the screenshot it states "Integrating", so how can I misunderstand that you're integrating to a lite image? Remember, this is a separate point, just saying that is not supported and is expected to break.
When making images, be it updating, always start fresh + preset and replaced update, cleaner and works.
nuhi ok, I get it that you can't replicate this same error using the same ISO+same preset+same updates
That's wired, anyway.

But what do you mean by Lite image? You mentioned this term earlier as well in your comment & I've also asked this same Q specifically in my earlier comment.

& What I get from your comment, is that, rather than using old 19041.1. version ISO, you're suggesting to use a more recent version of ISO as the base ISO for modification & make an up to date 21H1 ISO, in that case, I'd like to ask what'd you suggest as the base ISO version for my preset to get the most up to date 21H1 iso without any operational error in latest NTL?
 

Kasual

Well-Known Member
But what do you mean by Lite image? You mentioned this term earlier as well in your comment & I've also asked this same Q specifically in my earlier comment.
Lite image means a slimmed down windows setup (install.wim) image.

At least 1 component has been removed.
 

SM03

Active Member
Lite image means a slimmed down windows setup (install.wim) image.

At least 1 component has been removed.
Ok, got it, thanks Kasual

but the base ISO that I used & mentioned here i.e. 19041.1, that's an unmodified stock W10 ISO that I downloaded from uupdump back in 2019 December when it first released & using it to build all of the 20h1, 20h2 & now 21h1 builds since then, & never faced this issue ever in last 1.5yrs using this same stock ISO as base ISO.

P.S: While IDK where is the reason for getting this error, now, as nuhi saying this could be for the old & outdated base ISO (19041.1 in my case) so for that, now am grabbing the latest 19043.867 official ESD, & prepare a W10 Pro only ISO from that ESD, & then use that 19043.867 PRO W10 ISO as base & test again to check about this error adding the KB5000842 & revert here
 

nuhi

NTLite developer
Staff member
I use 19041.1 as base as well, for my images, and when I was testing yours of course.
I'm sure you're doing something extra to your image if it denies updates after installation, I just need the info what it is so I can replicate the issue.

Try what you told me in this topic, integrate previous version CU and try to install latest when it's installed, let me know how it goes.
If it fails, and you used only NTLite, not even your own REG files integrated with it, then please attach that new preset and I give it another try.

Thanks for your patience.
 

SM03

Active Member
I use 19041.1 as base as well, for my images, and when I was testing yours of course.
I'm sure you're doing something extra to your image if it denies updates after installation, I just need the info what it is so I can replicate the issue.

Try what you told me in this topic, integrate previous version CU and try to install latest when it's installed, let me know how it goes.
If it fails, and you used only NTLite, not even your own REG files integrated with it, then please attach that new preset and I give it another try.

Thanks for your patience.
nuhi

I didn't answer here for this matter, to your last comment /reply, as, I was waiting for the new/latest LCU to be released for April 2021's PT, & as that released recently, so I tested this same, again, without changing a single bit, i.e. same PRESET, same 19041.1 base/source ISO, same PC, same registry settings that I didn't exclude as you suggested because I know nothing is wrong on my side, & there I go, tested again, with everything same, except that LCU,

& here's the result
1.png

So, it was the earlier buggy LCU (906) that caused the issue, at least in my cases.
 
Top